class Item {
  final String title;
  final String description;

  Item({
    this.title,
    this.description,
  });
}

class ITunesCategory {}

class ITunesOwner {
  final String name;
  final String email;

  ITunesOwner(this.name, this.email);
}

class ITunesPodcast {
  final String author;
  final String subtitle;
  final String summary;
  final ITunesOwner owner;
  final bool explicit;
  final ITunesCategory category;
  final String image;
  final ITunesType type;

  ITunesPodcast(
    this.author,
    this.subtitle,
    this.summary,
    this.owner,
    this.explicit,
    this.category,
    this.image,
    this.type,
  );
}

enum ITunesType {
  episodic,
  serial,
}

class Podcast {
  final String title;
  final String description;
  final String feedUrl;
  final String siteUrl;
  final String author;
  final String copyright;
  final String language;
  final List<String> categories;
  final List<Item> items;

  Podcast(this.title, this.description, this.feedUrl, this.siteUrl, this.author,
      this.copyright, this.language, this.categories, this.items);
}
